JUCE: buffers

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
buffers
juce_audio_basics

## Classes
class | AudioChannelSet
| Represents a set of audio channel types. More...
class | AudioData
| This class a container which holds all the classes pertaining to the AudioData::Pointer audio sample format class. More...
class | AudioData::Pointer< SampleFormat, Endianness, InterleavingType, Constness >
| Used as a template parameter for AudioData::Pointer. More...
class | AudioData::Converter
| A base class for objects that are used to convert between two different sample formats. More...
class | AudioData::ConverterInstance< SourceSampleType, DestSampleType >
| A class that converts between two templated AudioData::Pointer types, and which implements the AudioData::Converter interface. More...
struct | AudioData::Format< DataFormatIn, EndiannessIn >
| A struct that contains a SampleFormat and Endianness to be used with the source and destination types when calling the interleaveSamples() and deinterleaveSamples() helpers. More...
class | AudioProcessLoadMeasurer
| Maintains an ongoing measurement of the proportion of time which is being spent inside an audio callback. More...
struct | AudioProcessLoadMeasurer::ScopedTimer
| This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer. More...
class | AudioBuffer< Type >
| A multi-channel buffer containing floating point audio samples. More...
struct | FloatVectorOperationsBase< FloatType, CountType >
| A collection of simple vector operations on arrays of floating point numbers, accelerated with SIMD instructions where possible, usually accessed from the FloatVectorOperations class. More...
class | FloatVectorOperations
| A collection of simple vector operations on arrays of floating point numbers, accelerated with SIMD instructions where possible and providing all methods from FloatVectorOperationsBase. More...
class | ScopedNoDenormals
| Helper class providing an RAII-based mechanism for temporarily disabling denormals on your CPU. More...

## Macros
#define | JUCE_SNAP_TO_ZERO(n) ignoreUnused (n)

## Typedefs
using | AudioSampleBuffer = AudioBuffer<float>
| A multi-channel buffer of 32-bit floating point audio samples.

## Functions
template<typename Type >
bool | operator== (const AudioBuffer< Type > &a, const AudioBuffer< Type > &b)
template<typename Type >
bool | operator!= (const AudioBuffer< Type > &a, const AudioBuffer< Type > &b)

## Detailed Description

## Macro Definition Documentation

## ◆ JUCE_SNAP_TO_ZERO

#define JUCE_SNAP_TO_ZERO | ( |  | n | ) | ignoreUnused (n)

## Typedef Documentation

## ◆ AudioSampleBuffer

using AudioSampleBuffer = AudioBuffer<float>

A multi-channel buffer of 32-bit floating point audio samples.

This type is here for backwards compatibility with the older AudioSampleBuffer class, which was fixed for 32-bit data, but is otherwise the same as the new templated AudioBuffer class.

See also
  AudioBuffer

## Function Documentation

## ◆ operator==()

template<typename Type >

bool operator== | ( | const AudioBuffer< Type > & | a,
|  | const AudioBuffer< Type > & | b )

References begin(), end(), AudioBuffer< Type >::getNumChannels(), and x.

Referenced by Point< ValueType >::isOrigin(), ColourGradient::operator!=(), AudioPlayHead::CurrentPositionInfo::operator!=(), AudioPlayHead::LoopPoints::operator!=(), MidiBufferIterator::operator!=(), MPEZoneLayout::operator!=(), AudioPlayHead::PositionInfo::operator!=(), SortedSet< ElementType, TypeOfCriticalSectionToUse >::operator!=(), AudioPlayHead::TimeSignature::operator!=(), Point< ValueType >::operator!=(), and LookAndFeel::playAlertSound().

## ◆ operator!=()

template<typename Type >

bool operator!= | ( | const AudioBuffer< Type > & | a,
|  | const AudioBuffer< Type > & | b )

Referenced by ColourGradient::operator!=().